Subject: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Feb 2023 15:20:53 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  Michael Heerdegen <[email-masked]>,
>   Gregory Heytings <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Wed, 08 Feb 2023 14:08:04 +0100
> 
> dick <[email-masked]> writes:
> 
> Hi,
> 
> > EMBA, being a Gitlab product, was designed to accommodate branches, the
> > idea being you vet your changes on a feature branch before merging to
> > master.  Something for management to think about since no one, including
> > the guy in charge of EMBA, seems to do this.
> 
> Here you have a point. I didn't expect so much trouble in this case, and
> so I haven't used a branch. Which would have other disadvantages, for
> example less people to test.
> 
> And a branch to be (pre-)tested on EMBA wouldn't help here. I have added
> ERT tests for the new behavior, and they run on EMBA successfully. The
> problem is the *interactive* reading of file names - something which
> cannot be tested on EMBA.

Michael, please don't sweat over this.  Using temporary branches for
CI-style testing before committing to mainline requires a very
different style and procedures of development than what we have.  We
don't have the resources to use those development procedures on a
routine basis, and the group of people who can be vaguely described as
"the development team" -- those who contribute changes frequently
enough to benefit from test-before-commit workflow -- is too diverse
and too decentralized to expect them to abide by the discipline
required for implementing CI-driven workflows.  dick.r.chiang goes the
easy way of commenting from the peanut gallery (in his usual arrogant
and condescending style) instead of doing what is expected from a
well-meaning community member: volunteer to do this job himself and
find enough volunteers for us to be able to go anywhere near using CI
routinely.